--
--   `phpshop_slider`
--

CREATE TABLE IF NOT EXISTS `phpshop_slider` (
  `id` int(8) NOT NULL AUTO_INCREMENT,
  `image` varchar(255) NOT NULL,
  `enabled` enum('0','1') NOT NULL DEFAULT '0',
  `num` smallint(6) NOT NULL,
  `link` varchar(255) NOT NULL,
  `alt` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251;

--
--    `phpshop_slider`
--

INSERT INTO `phpshop_slider` (`id`, `image`, `enabled`, `num`, `link`, `alt`) VALUES
(1, '/UserFiles/Image/demo/slider/slider2.png', '1', 0, '/news/', ''),
(2, '/UserFiles/Image/demo/slider/slider1.png', '1', 0, '/news/', '');

-- 
--   `phpshop_modules`
-- 

CREATE TABLE `phpshop_modules` (
  `path` varchar(255) NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  `date` int(11) NOT NULL default '0',
  PRIMARY KEY  (`path`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;


-- 
--   `phpshop_banners`
-- 

CREATE TABLE `phpshop_banners` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(64) NOT NULL default '',
  `content` text NOT NULL,
  `count_all` int(64) NOT NULL default '0',
  `count_today` int(64) NOT NULL default '0',
  `enabled` enum('0','1') NOT NULL default '0',
  `date` varchar(32) NOT NULL default '',
  `limit_all` int(32) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;


-- --------------------------------------------------------

-- 
--   `phpshop_categories`
-- 


CREATE TABLE `phpshop_categories` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `num` int(64) NOT NULL default '1',
  `parent_to` int(11) NOT NULL default '0',
  `content` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

--
--    `phpshop_categories`
--

INSERT INTO `phpshop_categories` VALUES (3, ' PHPShop CMS Free', 1, 0, '');


-- --------------------------------------------------------

-- 
--   `phpshop_gbook`
-- 

CREATE TABLE `phpshop_gbook` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `date` int(11) NOT NULL default '0',
  `name` varchar(32) NOT NULL default '',
  `mail` varchar(32) NOT NULL default '',
  `title` text NOT NULL,
  `question` text NOT NULL,
  `answer` text NOT NULL,
  `enabled` enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

--
--    `phpshop_gbook`
--

INSERT INTO `phpshop_gbook` VALUES (1, 1295427600, '-', '', '   ?', '         ?', ' PHPShop CMS Free -  &#160;  .           <a href="/doc/license.html"> </a>.', '1');
       
-- --------------------------------------------------------

--
--   `phpshop_links`
--

CREATE TABLE `phpshop_links` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) NOT NULL DEFAULT '',
  `image` text NOT NULL,
  `content` text NOT NULL,
  `link` text NOT NULL,
  `num` int(11) DEFAULT NULL,
  `enabled` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251;

--
--    `phpshop_links`
--

INSERT INTO `phpshop_links` (`id`, `name`, `image`, `content`, `link`, `num`, `enabled`) VALUES
(1, 'PHPShop Software', '', ' -,  - PHPShop.', 'http://www.phpshop.ru', 5, '1'),
(2, 'PHPShop CMS Free', '', ' c   PHPShop CMS Free.', 'http://www.phpshopcms.ru', 3, '1'),
(3, ' -', '', '  - Shopbuilder       -  599   .', 'http://www.shopbuilder.ru', 1, '1'),
(4, ' ,  ', '', '           .          .', 'http://www.bioscorp.ru ', 1, '1'),
(5, ' ,  ', '', '   .    5 .   . ', 'http://www.labmet.ru ', 1, '1');


-- --------------------------------------------------------

-- 
--   `phpshop_menu`
-- 


CREATE TABLE `phpshop_menu` (
  `id` int(32) NOT NULL auto_increment,
  `name` varchar(32) NOT NULL default '',
  `content` text NOT NULL,
  `flag` varchar(64) NOT NULL default '1',
  `num` int(16) NOT NULL default '0',
  `dir` text NOT NULL,
  `element` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

--
--    `phpshop_menu`
--

INSERT INTO `phpshop_menu` (`id`, `name`, `content`, `flag`, `num`, `dir`, `element`) VALUES
(1, '', '<p><a href="http://www.phpshop.ru" target="_blank" title=" "><img title="PHPShop 5" src="/UserFiles/Image/demo/phpshop.png" alt="PHPShop 5" class="img-thumbnail" /></a></p>\r\n<h4> PHPShop 5</h4>\r\n<div class="media-body"> ,       <a href="http://www.phpshop.ru" target="_blank" title=" -"> -</a>.</div>', '1', 1, '', 1);


-- --------------------------------------------------------

-- 
--   `phpshop_news`
-- 

CREATE TABLE `phpshop_news` (
  `id` int(64) NOT NULL auto_increment,
  `date` varchar(32) NOT NULL default '',
  `title` text NOT NULL,
  `description` text NOT NULL,
  `content` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;


-- --------------------------------------------------------

-- 
--   `phpshop_opros`
-- 

CREATE TABLE `phpshop_opros` (
  `id` int(11) NOT NULL auto_increment,
  `category` int(11) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `total` int(11) NOT NULL default '0',
  `num` tinyint(32) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `category` (`category`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;



-- --------------------------------------------------------

-- 
--   `phpshop_opros_categories`
-- 

CREATE TABLE `phpshop_opros_categories` (
  `id` int(11) NOT NULL auto_increment,
  `name` text NOT NULL,
  `dir` varchar(32) NOT NULL default '',
  `flag` enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;


-- --------------------------------------------------------

-- 
--   `phpshop_pages`
-- 


CREATE TABLE `phpshop_pages` (
  `id` int(11) NOT NULL auto_increment,
  `name` text NOT NULL,
  `link` varchar(64) NOT NULL default '',
  `category` int(32) NOT NULL default '0',
  `keywords` text NOT NULL,
  `content` text NOT NULL,
  `flag` varchar(16) NOT NULL default '1',
  `num` smallint(3) NOT NULL default '0',
  `date` varchar(64) NOT NULL default '',
  `enabled` enum('0','1','2') NOT NULL default '1',
  `title` varchar(255) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `link` (`link`),
  FULLTEXT KEY `content` (`content`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

--
--    `phpshop_pages`
--

INSERT INTO `phpshop_pages` (`id`, `name`, `link`, `category`, `keywords`, `content`, `flag`, `num`, `date`, `enabled`, `title`, `description`) VALUES
(1, ' ', 'index', 2000, '', '<p><strong><img style="float: left; margin-left: 5px; margin-right: 5px" title="PHPShop" alt="PHPShop" width="120" height="143" src="/UserFiles/Image/demo/boxnew3.gif" />PHPShop CMS Free</strong>    ,              .            ,          .</p>\r\n<p><strong>   PHPShop CMS Free      ,     .</strong></p>\r\n<p><strong><span style="text-decoration: underline"><br />\r\n</span></strong></p>\r\n<h1><span style="font-size: medium"><strong>PHPShop CMS Free  :<br />\r\n</strong></span></h1>\r\n<p><strong>  .</strong>          ,        Windows.           .</p>\r\n<p><strong> .</strong>       ,          PHPShop CMS Free,         .  <a href="/page/freecms.html"></a>,     PHPShop CMS Free.</p>\r\n<p><strong> .</strong>     ,            <a href="/page/easycontrol.html">PHPShop EasyControl</a>.   PHPShop EasyControl           ,       ,  ,   ,      .</p>\r\n<p><strong> .</strong>         ,   .             .     !</p>', '', 0, '1193224168', '1', '', ''),
(2, '  PHPShop CMS', 'freecms', 3, 'PHPShop CMS, -, ', '<p><strong>PHPShop CMS Free</strong>    ,              .            ,          .</p>\r\n<p><strong>   PHPShop CMS Free      ,     .</strong></p>\r\n<p><strong>&#160;</strong>C  <strong>PHPShop CMS Free</strong>        .     -  ,       ,      PHPShop CMS Free     .</p>\r\n<h2>   PHPShop CMS Free?</h2>\r\n<p> <strong>      </strong>.        ,  -         -,          -, PHPShop CMS Free -  ,   .</p>\r\n<p>  ,         ,     ,        . ,     .</p>\r\n<h2>  ?</h2>\r\n<p>   CMS   <strong>  Windows</strong>,     PHPShop Easy Control,           . <strong> ,   PHPShop Easy Control,         </strong>.</p>\r\n<p> ,     ,  ,     , ,              -. ,   CMS  PHPShop Easy Control       .</p>\r\n<p><object style="width: 425px; height: 350px" type="application/x-shockwave-flash" data="http://www.youtube.com/v/Bk0XffKpyOY&amp;feature" height="350" width="425">\r\n<param name="data" value="http://www.youtube.com/v/Bk0XffKpyOY&amp;feature" />\r\n<param name="src" value="http://www.youtube.com/v/Bk0XffKpyOY&amp;feature" /></object></p>\r\n<h2>   PHPShop CMS Free?</h2>\r\n<p>  CMS   ,   ,    <strong>,   </strong>.          ,        Windows.</p>\r\n<p>          .       ,          PHPShop CMS Free,         .</p>\r\n<p>      phpshopcms.ru,        -   PHPShop Easy Control,        .  ,         ,   ,        F.A.Q -   .</p>\r\n<p><object type="application/x-shockwave-flash" data="http://www.youtube.com/v/WdOWwg7pUwo&amp;feature" height="350" width="425">\r\n<param name="data" value="http://www.youtube.com/v/WdOWwg7pUwo&amp;feature" />\r\n<param name="src" value="http://www.youtube.com/v/WdOWwg7pUwo&amp;feature" /></object></p>\r\n<h2>   ?</h2>\r\n<p>    -,   <strong>       100    </strong>.      ,        ,    .</p>\r\n<p>    ,   PHPShop Temlates,   Easy Control,          -  PHPShop Editor,        .         -       HTML-.</p>\r\n<p> <strong>       , ,     </strong>.      HTML-,              .</p>\r\n<p><object type="application/x-shockwave-flash" data="http://www.youtube.com/v/vFdTwtrXh58&amp;feature" height="350" width="425">\r\n<param name="data" value="http://www.youtube.com/v/vFdTwtrXh58&amp;feature" />\r\n<param name="src" value="http://www.youtube.com/v/vFdTwtrXh58&amp;feature" /></object></p>\r\n<h2>    ()?</h2>\r\n<p> ,  CMS       ,     ,   - .      ,      .</p>\r\n<p>          ,          (, , )     .           ,  ,  ,   -    .</p>\r\n<p>       ,    CMS   <strong>WYSIWYG  </strong>.    Word       , ,        ,         ( ).            ,         .</p>\r\n<p><object type="application/x-shockwave-flash" data="http://www.youtube.com/v/l74tcwIp79Y&amp;feature" height="350" width="425">\r\n<param name="data" value="http://www.youtube.com/v/l74tcwIp79Y&amp;feature" />\r\n<param name="src" value="http://www.youtube.com/v/l74tcwIp79Y&amp;feature" /></object></p>\r\n<h2>   ?</h2>\r\n<p>PHPShop CMS Free - <strong>   - PHPShop Software</strong>.    CMS    -          .</p>\r\n<p> 2008        PHPShop CMS Free   50 000.   ,  <strong>      </strong>,       .</p>', '1', 0, '', '1', '', ''),
(4, ' ', '../skin/free', 1000, '', '', '1', 0, '', '1', '', ''),
(5, ' ', 'design', 3, ' ', '<p><strong>    !</strong></p>\r\n<p>PHPShop CMS Free      ,     -: <strong>         100    !</strong></p>\r\n<p>     ,      ,    .         &#160; PHPShop Templates,   EasyControl.</p>\r\n<p><strong>        ? </strong>       PHPShop Editor!</p>\r\n<p>        -       HTML-.         , ,     .      HTML-,              .      CSS .        ,       .          .</p>\r\n<p><strong>       Server Sinhronizer.</strong>              .</p>\r\n<p><object style="display: block; margin-left: auto; margin-right: auto" type="application/x-shockwave-flash" data="http://www.youtube.com/v/vFdTwtrXh58&amp;feature" height="350" width="425">\r\n<param name="data" value="http://www.youtube.com/v/vFdTwtrXh58&amp;feature" />\r\n<param name="src" value="http://www.youtube.com/v/vFdTwtrXh58&amp;feature" /></object></p>', '1', 0, '', '1', '', ''),
(7, '  EasyControl', 'easycontrol', 3, 'EasyControl,  PHPShop Editor', '<p>    ,            PHPShop EasyControl.   PHPShop EasyControl           ,       ,  ,   ,      .</p>\r\n<p><strong><br />\r\n<img style="margin: 5px; float: left" alt="" width="48" height="48" src="/UserFiles/Image/demo/profile.png" /></strong></p>\r\n<p><strong>PHPShop   </strong></p>\r\n<p style="text-align: left">        ,       ,           PHPShop Synchronization.     Apache 1.3, PHP 4.3  MySQL 4.1.      Localhost.</p>\r\n<p><br />\r\n<img style="margin: 5px; float: left" alt="" width="48" height="44" src="/UserFiles/Image/demo/editor1.jpg" /><strong>PHPShop Editor</strong></p>\r\n<p>   PHPShop Editor -     ,     ,    ,      .</p>\r\n<p><strong><br />\r\n<img style="margin: 5px; float: left" alt="" width="48" height="48" src="/UserFiles/Image/demo/server_to_client.png" />PHPShop Installer</strong></p>\r\n<p>PHPShop Installer -         .    ,     .        -.</p>\r\n<p><strong><img style="margin: 5px; float: left" alt="" width="48" height="48" src="/UserFiles/Image/demo/update.png" /><br />\r\nPHPShop Updater</strong></p>\r\n<p>PHPShop Updater -      .   PHPShop Updater   5      .      -             .  "-"    ( )    .</p>\r\n<p><strong><br />\r\n<img style="margin: 5px; float: left" alt="" width="48" height="48" src="/UserFiles/Image/demo/server_from_client.png" />Server Synchronizer</strong></p>\r\n<p>Server Synchronizer -  ,  -  " "   ,    .        ,     ,            .<br />\r\nAuto Server Synchronizer -    -    .</p>\r\n<p>&#160;</p>', '1', 0, '', '1', '', ''),
(8, ' ', '../doc/phpshop-response', 1000, 'phpshop ', '', '1', 0, '1348054674', '1', 'PHPShop ', '  PHPShop CMS Free'),
(9, '', 'admin', 1000, '', '<p>     PHPShop    <b>Ctrl+F12</b>     .<br> \r\n   <b>demo</b>,  <b>demouser</b>. <br> \r\n        ,      .\r\n</p>\r\n<p>\r\n<input type="button" value="   " onclick="window.location.replace(''..phpshop/admpanel/'');">\r\n</p>\r\n<p>\r\n<h2> </h2>\r\n          .             <b>"" - "SQL   "</b>      <b>" "</b>.   ,          .\r\n</p>\r\n<p>\r\n<h2> </h2>\r\nPHPShop EasyControl - <b>    </b>     - PHPShop    . EasyControl         .   EasyControl          ,   ,  ,      .     15 : <b> Monitor, Updater, Installer, Chat, Editor, IDE, Password Restore</b>  .\r\n</p>\r\n<p>\r\n<input type="button" value="  EasyControl" onclick="window.open(''http://www.phpshopcms.ru/version/setup_cms.exe'');">\r\n</p>\r\n\r\n', '1', 0, '1400508757', '1', ' PHPShop', ''),
(10, '', 'develop', 1000, '', '<p>   PHPShop Software      <b>PHPShop IDE</b>     <b>PHPShop Editor</b>.\r\n</p>\r\n<h3>PHPShop IDE</h3>\r\n<p>PHPShop IDE        ,         .\r\n<p>\r\n<b>:</b>\r\n<ol>\r\n<li class="trial">     PHPShop API\r\n<li>        \r\n<li>     HTML  PHP \r\n<li>     \r\n<li>     XML- \r\n<li>  \r\n<li>   \r\n<li>          \r\n</ol>\r\n</p>\r\n<p>\r\n<a href="http://wiki.phpshop.ru/index.php/PHPShop_IDE" target="_blank" title=" PHPShop IDE"><img class="template" src="/UserFiles/Image/demo/phpshop_ide.jpg" alt="PHPShop IDE" width="95%"></a>\r\n</p>\r\n<h3>PHPShop Editor</h3>\r\n<p>\r\nPHPShop Editor     ,    ,         . \r\n</p>\r\n<p>\r\n<b>    </b>         : , ,   ..      ,   .   HTML-    . \r\n</p>\r\n<b> </b>           CSS: , , , , ,   .\r\n</p>\r\n<p>\r\n<b>  HTML </b>           .    ,             .            .            .\r\n</p>\r\n<p>\r\n<a href="http://wiki.phpshop.ru/index.php/PHPShop_Editor" target="_blank" title=" PHPShop Editor"><img  class="template" src="/UserFiles/Image/demo/phpshop_editor.jpg" alt="PHPShop Editor" width="95%"></a>\r\n</p>\r\n<p>\r\n<b> 15      PHPShop</b>    <a href="http://wiki.phpshopcms.ru/index.php/PHPShop_EasyControl" target="_blank" title="   EasyControl">EasyControl</a>          <a href="http://phpshopcms.ru/cat/download.html" target="_blank" title="  PHPShop"> </a>.</p>\r\n', '1', 0, '1400508722', '1', ' PHPShop', ''),
(11, '  ', 'logo', 2001, '', '<p><a href="../../../"><img src="../../../UserFiles/Image/demo/your_logo.png" alt="" width="188" height="36" /></a></p>', '1', 0, '1424095705', '1', '', '');


     
-- --------------------------------------------------------

-- 
--   `phpshop_photo_categories`
-- 

CREATE TABLE `phpshop_photo_categories` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `parent_to` int(11) default '0',
  `link` varchar(64) NOT NULL default '',
  `name` varchar(64) NOT NULL default '',
  `num` tinyint(11) NOT NULL default '0',
  `content` text NOT NULL,
  `enabled` enum('0','1') NOT NULL default '0',
  `page` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;


-- 
--    `phpshop_photo_categories`
-- 
--

INSERT INTO `phpshop_photo_categories` VALUES (6, 0, 'phgal', ' ', 1, '<p> PHPShop Software   .   &#160; &#160;  ,  &#160;&#160;  CMS Free       :)<br />\r\n<br />\r\n&#160;</p>', '1', 'news/');

-- --------------------------------------------------------

-- 
--   `phpshop_photo`
-- 


CREATE TABLE `phpshop_photo` (
  `id` int(11) NOT NULL auto_increment,
  `category` int(11) default '0',
  `enabled` enum('0','1') NOT NULL default '0',
  `name` varchar(64) NOT NULL default '',
  `num` tinyint(11) NOT NULL default '0',
  `info` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `parent` (`category`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;


-- 
--    `phpshop_photo_foto`
-- 

INSERT INTO `phpshop_photo` VALUES (102, 6, '1', '/UserFiles/Image/demo/img6_17345.jpg', 0, ' ');
INSERT INTO `phpshop_photo` VALUES (103, 6, '1', '/UserFiles/Image/demo/img6_20086.jpg', 1, ' ');
INSERT INTO `phpshop_photo` VALUES (104, 6, '1', '/UserFiles/Image/demo/img6_15292.jpg', 2, ' ');
INSERT INTO `phpshop_photo` VALUES (105, 6, '1', '/UserFiles/Image/demo/img6_15923.jpg', 3, ' ');
INSERT INTO `phpshop_photo` VALUES (106, 6, '1', '/UserFiles/Image/demo/img6_78966.jpg', 4, ' ');
INSERT INTO `phpshop_photo` VALUES (107, 6, '1', '/UserFiles/Image/demo/img6_53303.jpg', 6, ' ');
INSERT INTO `phpshop_photo` VALUES (108, 6, '1', '/UserFiles/Image/demo/img6_17261.jpg', 8, ' ');
INSERT INTO `phpshop_photo` VALUES (109, 6, '1', '/UserFiles/Image/demo/img6_13229.jpg', 9, ' ');

-- --------------------------------------------------------

-- 
--   `phpshop_rssgraber`
-- 

CREATE TABLE `phpshop_rssgraber` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `link` text NOT NULL,
  `day_num` int(1) NOT NULL default '1',
  `news_num` mediumint(8) NOT NULL default '0',
  `enabled` enum('0','1') NOT NULL default '1',
  `start_date` int(16) unsigned NOT NULL default '0',
  `end_date` int(16) unsigned NOT NULL default '0',
  `last_load` int(16) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;


-- 
--    `phpshop_rssgraber`
-- 

INSERT INTO `phpshop_rssgraber` (`id`, `link`, `day_num`, `news_num`, `enabled`, `start_date`, `end_date`, `last_load`) VALUES
(1, 'http://phpshop.ru/rss/', 1, 3, '1', 1257714000, 1953700800, 1200616000);


-- --------------------------------------------------------

-- 
--   `phpshop_rssgraber_jurnal`
-- 

CREATE TABLE `phpshop_rssgraber_jurnal` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `date` int(15) unsigned NOT NULL default '0',
  `link_id` int(11) NOT NULL default '0',
  `status` enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- 
--    `phpshop_rssgraber_jurnal`
-- 


-- --------------------------------------------------------

-- 
--   `phpshop_send_mail`
-- 

CREATE TABLE `phpshop_send_mail` (
  `id` int(64) NOT NULL auto_increment,
  `date` varchar(32) NOT NULL default '',
  `mail` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- 
--    `phpshop_send_mail`
-- 


-- --------------------------------------------------------

--
--   `phpshop_system`
--

CREATE TABLE IF NOT EXISTS `phpshop_system` (
  `id` tinyint(1) NOT NULL AUTO_INCREMENT,
  `name` text,
  `company` text,
  `num_row` int(10) DEFAULT NULL,
  `skin` varchar(32) DEFAULT NULL,
  `admin_mail` varchar(64) NOT NULL DEFAULT '',
  `title` text NOT NULL,
  `keywords` text NOT NULL,
  `skin_choice` enum('0','1') NOT NULL DEFAULT '0',
  `tel` text NOT NULL,
  `meta` text NOT NULL,
  `admoption` text NOT NULL,
  `rss_use` tinyint(1) NOT NULL DEFAULT '0',
  `addres` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=2 ;

--
--    `phpshop_system`
--

INSERT INTO `phpshop_system` (`id`, `name`, `company`, `num_row`, `skin`, `admin_mail`, `title`, `keywords`, `skin_choice`, `tel`, `meta`, `admoption`, `rss_use`, `addres`) VALUES
(1, ' ', 'PHPShop Software', 5, 'bootstrap', 'admin@localhost', 'PHPShop CMS 4  -  ', ' ,   ', '1', '(495) 111-222-333', '  PHPShop CMS', 'a:17:{s:17:"image_save_source";N;s:18:"rss_graber_enabled";s:1:"1";s:5:"img_w";s:3:"600";s:5:"img_h";s:3:"600";s:6:"img_tw";s:3:"150";s:6:"img_th";s:3:"150";s:14:"width_podrobno";s:3:"100";s:12:"width_kratko";s:3:"100";s:5:"theme";s:7:"default";s:11:"cloud_color";s:6:"1180F2";s:6:"editor";s:8:"tiny_mce";s:9:"xmlencode";s:0:"";s:7:"wintype";s:7:"default";s:4:"lang";s:7:"russian";s:13:"watermark_big";a:21:{s:11:"big_enabled";N;s:8:"big_type";s:3:"png";s:12:"big_png_file";s:0:"";s:14:"big_mergeLevel";i:100;s:12:"big_copyFlag";s:1:"0";s:6:"big_sm";i:0;s:16:"big_positionFlag";s:1:"1";s:13:"big_positionX";i:0;s:13:"big_positionY";i:0;s:9:"big_alpha";i:0;s:8:"big_text";s:0:"";s:21:"big_text_positionFlag";i:0;s:8:"big_size";i:0;s:9:"big_angle";i:0;s:18:"big_text_positionX";i:0;s:18:"big_text_positionY";i:0;s:10:"big_colorR";i:0;s:10:"big_colorG";i:0;s:10:"big_colorB";i:0;s:14:"big_text_alpha";i:0;s:8:"big_font";s:16:"norobot_font.ttf";}s:15:"watermark_small";a:21:{s:13:"small_enabled";N;s:10:"small_type";s:3:"png";s:14:"small_png_file";s:0:"";s:16:"small_mergeLevel";i:100;s:14:"small_copyFlag";s:1:"0";s:8:"small_sm";i:0;s:18:"small_positionFlag";s:1:"1";s:15:"small_positionX";i:0;s:15:"small_positionY";i:0;s:11:"small_alpha";i:0;s:10:"small_text";s:0:"";s:23:"small_text_positionFlag";i:0;s:10:"small_size";i:0;s:11:"small_angle";i:0;s:20:"small_text_positionX";i:0;s:20:"small_text_positionY";i:0;s:12:"small_colorR";i:0;s:12:"small_colorG";i:0;s:12:"small_colorB";i:0;s:16:"small_text_alpha";i:0;s:10:"small_font";s:16:"norobot_font.ttf";}s:15:"watermark_ishod";a:21:{s:13:"ishod_enabled";N;s:10:"ishod_type";s:3:"png";s:14:"ishod_png_file";s:0:"";s:16:"ishod_mergeLevel";i:100;s:14:"ishod_copyFlag";s:1:"0";s:8:"ishod_sm";i:0;s:18:"ishod_positionFlag";s:1:"1";s:15:"ishod_positionX";i:0;s:15:"ishod_positionY";i:0;s:11:"ishod_alpha";i:0;s:10:"ishod_text";s:0:"";s:23:"ishod_text_positionFlag";i:0;s:10:"ishod_size";i:0;s:11:"ishod_angle";i:0;s:20:"ishod_text_positionX";i:0;s:20:"ishod_text_positionY";i:0;s:12:"ishod_colorR";i:0;s:12:"ishod_colorG";i:0;s:12:"ishod_colorB";i:0;s:16:"ishod_text_alpha";i:0;s:10:"ishod_font";s:16:"norobot_font.ttf";}}', 0, ', . ,  1.');

 

-- 
--   `phpshop_users`
-- 

CREATE TABLE `phpshop_users` (
  `id` int(11) NOT NULL auto_increment,
  `status` enum('0','1','2','3') NOT NULL default '0',
  `login` varchar(64) NOT NULL default '',
  `password` varchar(64) NOT NULL default '',
  `mail` varchar(64) NOT NULL default '',
  `enabled` enum('0','1') NOT NULL default '1',
  `hash` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

    